package com.boman.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 疫苗接种导入错误日志
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class YmjzImportErrorLog extends BaseEntity{

    private Long id;
    private String username;
    private String town;
    private String place;
    private String vaccineName;
    private String jici;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date vaccinationTime;
    private String vaccinationPlace;
    private String isDel;
    private String createBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String updateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getVaccineName() {
        return vaccineName;
    }

    public void setVaccineName(String vaccineName) {
        this.vaccineName = vaccineName;
    }

    public String getJici() {
        return jici;
    }

    public void setJici(String jici) {
        this.jici = jici;
    }

    public Date getVaccinationTime() {
        return vaccinationTime;
    }

    public void setVaccinationTime(Date vaccinationTime) {
        this.vaccinationTime = vaccinationTime;
    }

    public String getVaccinationPlace() {
        return vaccinationPlace;
    }

    public void setVaccinationPlace(String vaccinationPlace) {
        this.vaccinationPlace = vaccinationPlace;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }
}
